## Master Index CMake 2.8.3

- Name
- Usage
- Description
- Options
- Generators
- Properties
- Compatibility Commands
- Standard CMake Modules
- Copyright
- See Also

## Name

      cpack - Packaging driver provided by CMake.

## Usage

      cpack -G <generator> [options]

## Description

The "cpack" executable is the CMake packaging program. CMake-generated build trees created for projects that use the INSTALL_* commands have packaging support. This program will generate the package.

CMake is a cross-platform build system generator. Projects specify their build process with platform-independent CMake listfiles included in each directory of a source tree with the name CMakeLists.txt. Users build a project by using CMake to generate a build system for a native tool on their platform.

## Options

- `-G <generator>`
- `-C <Configuration>`
- `-D <var>=<value>`
- `--config <config file>`

- `-G <generator>`: Use the specified generator to generate package.

  CPack may support multiple native packaging systems on certain platforms. A generator is responsible for generating input files for particular system and invoking that systems. Possible generator names are specified in the Generators section.

- `-C <Configuration>`: Specify the project configuration

  This option specifies the configuration that the project was build with, for example 'Debug', 'Release'.

- `-D <var>=<value>`: Set a CPack variable.

  Set a variable that can be used by the generator.

- `--config <config file>`: Specify the config file.

  Specify the config file to use to create the package. By default CPackConfig.cmake in the current directory will be used.

## Generators

- `DEB`
- `NSIS`
- `RPM`
- `STGZ`
- `TBZ2`
- `TGZ`
- `TZ`
- `ZIP`

- `DEB`: Debian packages
- `NSIS`: Null Soft Installer
- `RPM`: RPM packages
- `STGZ`: Self extracting Tar GZip compression
- `TBZ2`: Tar BZip2 compression
- `TGZ`: Tar GZip compression
- `TZ`: Tar Compress compression
- `ZIP`: ZIP file format

## Properties

      CMake Properties - Properties supported by CMake, the Cross-Platform Makefile Generator.

This is the documentation for the properties supported by CMake. Properties can have different scopes. They can either be assigned to a source file, a directory, a target or globally to CMake. By modifying the values of properties the behaviour of the build system can be customized.

## Compatibility Commands

      CMake Compatibility Listfile Commands - Obsolete commands supported by CMake for compatibility.

This is the documentation for now obsolete listfile commands from previous CMake versions, which are still supported for compatibility reasons. You should instead use the newer, faster and shinier new commands. ;-)

## Standard CMake Modules

## Copyright

Copyright 2000-2009 Kitware, Inc., Insight Software Consortium. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

Neither the names of Kitware, Inc., the Insight Software Consortium, nor the names of their contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## See Also

- `Home Page`
- `Frequently Asked Questions`
- `Online Documentation`
- `Mailing List`

The following resources are available to get help using CMake:

- `Home Page`: http://www.cmake.org

  The primary starting point for learning about CMake.

- `Frequently Asked Questions`: http://www.cmake.org/Wiki/CMake_FAQ

  A Wiki is provided containing answers to frequently asked questions.

- `Online Documentation`: http://www.cmake.org/HTML/Documentation.html

  Links to available documentation may be found on this web page.

- `Mailing List`: http://www.cmake.org/HTML/MailingLists.html

  For help and discussion about using cmake, a mailing list is provided at cmake@cmake.org. The list is member-post-only but one may sign up on the CMake web page. Please first read the full documentation at http://www.cmake.org before posting questions to the list.

Summary of helpful links:

      Home: http://www.cmake.org
      Docs: http://www.cmake.org/HTML/Documentation.html
      Mail: http://www.cmake.org/HTML/MailingLists.html
      FAQ:  http://www.cmake.org/Wiki/CMake_FAQ